#
# spec file for package gap-cryst
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-cryst
Summary:        GAP: Computing with crystallographic groups
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        4.1.13
Release:        lp152.3.2
Url:            http://www.math.uni-bielefeld.de/~gaehler/gap/packages.php

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/cryst-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       gap-core >= 4.5
Requires:       gap-polycyclic >= 2.9
Suggests:       gap-carat >= 2.1.1
Suggests:       gap-crystcat >= 1.1.4
Suggests:       gap-xgap >= 4.22

%description
Cryst provides a rich set of methods to compute with affine
crystallographic groups, in particular space groups. Affine
crystallographic groups are fully supported both in the
representation acting from the right and in the representation acting
from the left. The latter representation is the one preferred by
crystallographers. There are also functions to determine
representatives of all space group types of a given dimension.

%prep
%setup -qn cryst

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Feb  3 2018 jengelh@inai.de
- Update to new upstream release 4.1.13
  * Fixed a bug in ImagesRepresentative for
    IsFromAffineCrystGroupToPcpGroup
* Tue Feb  4 2014 jengelh@inai.de
- Update to new upstream release 4.1.12
  * Fixed a bug in RepresentativeAction for AffineCrystGroups
* Fri May 10 2013 jengelh@inai.de
- Split cryst (version 4.1.11) off the gap RPM package
